Package org.apache.struts2.junit

# Class StrutsSpringJUnit4TestCase<T>

java.lang.Object
org.apache.struts2.XWorkJUnit4TestCase
org.apache.struts2.junit.XWorkJUnit4TestCase
org.apache.struts2.junit.StrutsJUnit4TestCase<T>
org.apache.struts2.junit.StrutsSpringJUnit4TestCase<T>

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.context.ApplicationContextAware`

public abstract class StrutsSpringJUnit4TestCase<T> extends StrutsJUnit4TestCase<T> implements org.springframework.context.ApplicationContextAware
User: mcucchiara Date: 04/08/11 Time: 16.50

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected org.springframework.context.ApplicationContext`
  `applicationContext`

  ### Fields inherited from class org.apache.struts2.junit.StrutsJUnit4TestCase

  `dispatcher, dispatcherInitParams, pageContext, request, resourceLoader, response, servletContext`

  ### Fields inherited from class org.apache.struts2.XWorkJUnit4TestCase

  `actionProxyFactory, configuration, configurationManager, container`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StrutsSpringJUnit4TestCase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
  `protected void`
  `setupBeforeInitDispatcher()`

  ### Methods inherited from class org.apache.struts2.junit.StrutsJUnit4TestCase

  `containsErrors, executeAction, findValueAfterExecute, finishExecution, getAction, getActionMapping, getActionMapping, getActionProxy, getConfigPath, initActionContext, initDispatcher, initDispatcherParams, initServletMockObjects, initSession, injectStrutsDependencies, setUp, tearDown`

  ### Methods inherited from class org.apache.struts2.XWorkJUnit4TestCase

  `loadButAdd, loadButAdd, loadConfigurationProviders`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### applicationContext

    protected org.springframework.context.ApplicationContext applicationContext

- ## Constructor Details

  - ### StrutsSpringJUnit4TestCase

    public StrutsSpringJUnit4TestCase()

- ## Method Details

  - ### setupBeforeInitDispatcher

    protected void setupBeforeInitDispatcher() throws Exception
    Overrides:
      `setupBeforeInitDispatcher` in class `StrutsJUnit4TestCase<T>`
    Throws:
      `Exception`

  - ### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext) throws org.springframework.beans.BeansException
    Specified by:
      `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
    Throws:
      `org.springframework.beans.BeansException`